# $Revision: 1.42 $, $Date: 2009/10/16 09:03:38 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	Robot
Summary:	WWW::Robot Perl module - configurable web traversal engine
Summary(pl.UTF-8):	Moduł Perla WWW::Robot - konfigurowlny mechanizm do analizy zasobów WWW
Name:		perl-WWW-Robot
Version:	0.026
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/WWW/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a58f5cef44e8c6cd2e057821691a6be4
Patch0:		%{name}-paths.patch
URL:		http://search.cpan.org/dist/WWW-Robot/
BuildRequires:	perl-HTML-Tree
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-URI
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-libwww
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-Robot
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The WWW::Robot Perl module implements a configurable web traversal
engine, for a robot or other web agent. Given an initial web page
(URL), the Robot will get the contents of that page, and extract all
links on the page, adding them to a list of URLs to visit.

%description -l pl.UTF-8
Moduł Perla WWW::Robot zawiera konfigurowalny mechanizm analizujący
zasoby sieciowe, przeznaczony dla robotów i innych agentów sieciowych.
Po podaniu strony początkowej (w postaci URLa) Robot pobierze
zawartość danej strony oraz wydzieli z niej wszystkie odnośniki,
dodając je do listy URLi, które będą odwiedzane.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__perl} -pi -e 's/^(use LWP::RobotUA)( 1.171)(.*)$/$1 1.18$3/' lib/WWW/*.pm
%patch0 -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog examples/poacher
%{perl_vendorlib}/WWW/Robot.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-WWW-Robot.spec,v $
Revision 1.42  2009/10/16 09:03:38  amateja
- updated to 0.026

Revision 1.41  2008/01/03 13:13:04  qboosh
- generic URL

Revision 1.40  2007-12-31 00:22:24  zbyniu
- up to 0.025

Revision 1.39  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.38  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.37  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.36  2004/11/03 22:30:54  paladine
- formatting

Revision 1.35  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.34  2004/05/04 13:36:34  ankry
- license fix, cosmetics

Revision 1.33  2004/04/15 09:35:57  ankry
- cosmetics

Revision 1.32  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/07/08 13:40:20  ankry
- better descriptions / summaries
- dependency hack
- rel. 3

Revision 1.29  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:25:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:41  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 22:09:56  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:39:11  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/11/25 15:10:13  marcus
- use new %%doc

Revision 1.22  2002/11/20 12:37:30  mis
- autoupdated to 0.023

Revision 1.21  2002/07/10 09:02:39  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:35:31  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:21:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:38:42  depesz
adapterized

Revision 1.15  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.13  2001/04/17 12:18:24  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/26 02:30:21  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.10  2000/08/10 11:15:48  kloczek
- updated to 0.022.

Revision 1.9  2000/07/17 00:09:01  kloczek
- release 2.

Revision 1.8  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:36:54  pius
- updated to 0.021

Revision 1.2  1999/11/07 09:18:48  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
